# Protocole Cryptographique
## Introduction
Le projet a pour but de réaliser une attaque ARP dit 'ARP Spoofing' sur un serveur web. L'attaque ARP Spoofing consiste à envoyer des paquets ARP falsifiés à une machine cible pour lui faire croire que l'attaquant est la passerelle par défaut. Ainsi, l'attaquant peut intercepter le trafic entre la machine cible et la passerelle.

## Réflexion sur la mise en place
Pour réaliser cette démonstration, nous utilisons docker pour créer un réseau local de deux machines. La première machine est le serveur web et la deuxième machine est l'attaquant. La machine hôte joue le rôle de la victime qui se connecte au mauvais serveur web.

## Mise en place
### Prérequis
- Docker
- Docker-compose

### Lancement
Pour lancer le projet, il suffit de ce placer dans le dossier du projet et de lancer la commande suivante:
```bash
docker-compose up --build
```
Cette commande lancera les deux containers et les reliera entre eux. Le serveur web est accessible à l'adresse `http://localhost:8080`. Puis pour lancer l'attaque, il suffit de lancer le script `arp_spoof.py` dans le container de l'attaquant.

## Démonstration


